*
*                                           
*     uuБwI[vR[Xv񋟋  
*                                           
*        (c)2006 by Yoshitaka Nishizawa     
*                                           
*     gpF쌠@ƁuuБwI[  
*               vR[Xvgbvy[W  
*               Lڂ̒ӎɂ    
*               ĂB                
*                                           
*.   


*************************************
*  Example for the quantitavie methode class.
*
*  Model of Vote/Not Vote, using Shugi93.sav data set,
*  not provided here at Doshisha Univiversity OpenCourse 
*  site.
*
*************************************.


freq
clerielc shuvot90 prvote92 elvote92 koen nenkaihi
polmeet callpty readpty ideology partsupt partstrn
satlife satpol
paperv tvv radiov magv moviev carv postrv panphv kohov
prcarv planev boardv wirev
educ occup union resdyear resdtype.


*** Dependent Var.

recode vote (1=1)(2=0) into vote2.
value labels vote2 1 'voted' 0 'not voted'.

*** Indendent Vars.

**interest in election.
*recoding 3 interest vars.
recode elecint campint seatint (1=3)(2=2)(3=1)(4=0)(5=9)
  into eint cint sint.
missing values eint cint sint (9).
*combining 3 interest vars.
compute int=eint + cint + sint.

**clean election.
recode clerielc (1=1)(2=0)(else=.5) into clean.

**koenkai.
recode koen (1=1)(2=0)(else=9) into koen2.
missing values koen2 (9).

**active.
recode polmeet callpty readpty (1=1)(2=0) into pact cact ract.
compute active=(pact + cact + ract)/3.

**partysupport.
recode partsupt (1 thru 10=.5)(11=0)(12=99) into ptyspt.
if (partstrn = 1) ptyspt =1.
missing values ptyspt (99).

*** Analysis *****.

correlation vote2 int clean koen2 active ptyspt.

regression variables=vote2 int 
  /dependent vote2
  /method=enter.
regression variables=vote2 clean
  /dependent vote2
  /method=enter.
regression variables=vote2 koen2
  /dependent vote2
  /method=enter.
regression variables=vote2 active
  /dependent vote2
  /method=enter.
regression variables=vote2 ptyspt
  /dependent vote2
  /method=enter.

regression variables=vote2 int clean koen2 active ptyspt
  /dependent vote2
  /method=enter.

regression variables=vote2 int clean active ptyspt
  /dependent vote2
  /method=enter.

regression variables=vote2 int ptyspt
  /dependent vote2
  /method=enter.


